microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete memories by scope
POST
/memory_stores/{name}:delete_scope
Deletes all memories in the specified memory store that are associated with the provided scope.
標頭參數
Foundry-Features
enum
必要
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
路徑參數
name
string
必要
The name of the memory store.
查詢參數
api-version
string
必要
The API version to use for this operation.
要求本文
Content-Type: application/json
scope
string
必要
The namespace that logically groups and isolates memories to delete, such as a user ID.
回覆
The request has succeeded.
主體
Content-Type: application/json
object
enum
必要
The object type. Always 'memory_store.scope.deleted'.
memory_store.scope.deleted
name
string
必要
The name of the memory store.
scope
string
必要
The scope from which memories were deleted.
deleted
boolean
必要
Whether the deletion operation was successful.
Request
POST /memory_stores/{name}:delete_scope HTTP/1.1
回應
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json